Show / Hide Table of Contents

# Class MarketTaxRates

This class represents the "Result Dialog" packet. This is also used e.g. for reduction results, but we only care about tax rates. We can do that by checking the "Category" field.

##### Inheritance

System.Object
MarketTaxRates

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Network.Structures

###### Assembly: Dalamud.dll

##### Syntax

    public class MarketTaxRates

### Properties

| Improve this Doc View Source

#### Category

Gets the category of this ResultDialog packet.

##### Declaration

    public uint Category { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CrystariumTax

Gets the tax rate in the Crystarium.

##### Declaration

    public uint CrystariumTax { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GridaniaTax

Gets the tax rate in Gridania.

##### Declaration

    public uint GridaniaTax { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IshgardTax

Gets the tax rate in Ishgard.

##### Declaration

    public uint IshgardTax { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### KuganeTax

Gets the tax rate in Kugane.

##### Declaration

    public uint KuganeTax { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### LimsaLominsaTax

Gets the tax rate in Limsa Lominsa.

##### Declaration

    public uint LimsaLominsaTax { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SharlayanTax

Gets the tax rate in the Crystarium.

##### Declaration

    public uint SharlayanTax { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UldahTax

Gets the tax rate in Ul'dah.

##### Declaration

    public uint UldahTax { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### Read(IntPtr)

Read a MarketTaxRates object from memory.

##### Declaration

    public static MarketTaxRates Read(IntPtr dataPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dataPtr | Address to read.

##### Returns

Type | Description
--- | ---
MarketTaxRates | A new MarketTaxRates object.